# dkim_body()

[back to index]

SYNOPSIS |
    #include <dkim.h>
    DKIM_STAT dkim_body(
    	DKIM *dkim,
    	unsigned char *bodyp,
    	size_t len
    );
Handle a piece of a message's body. The body block should contain normal CRLF line termination and be in canonical form (e.g., with dot-stuffing removed, if any).
DESCRIPTION |
Called When | `dkim_body()` is called zero or more times between `dkim_eoh()` and `dkim_eom()`.
ARGUMENTS |
Argument | Description
--- | ---
dkim | Message-specific handle, returned by `dkim_sign()` or `dkim_verify()`
bodyp | Pointer to the start of this block of body data.
len | The amount of data pointed to by `bodyp`.

RETURN VALUES

- `DKIM_STAT_INVALID` indicates the `dkim` handle was rendered unusable by a previous call, likely to `dkim_eoh()`, or simply that `dkim_eoh()` has not yet been called for this handle.
- `DKIM_STAT_OK` indicates normal completion.

NOTES

- `bodyp` points to a sequence of bytes. It is not expected to be a C string (a sequence of characters that is terminated by '\0').
- Dot stuffing and the terminating dot in the message body are expected to be removed by the caller. If they appear within `bodyp`, they are assumed to be part of the message body and will be included in the hashed data. This is true of any content modification that might be done by the MTA.

Copyright (c) 2005-2008 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009, 2010, 2014, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.